package com.loit.mybatis.example;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.Banner;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;


@EnableDiscoveryClient
@EnableFeignClients
@MapperScan({"com.loit.mybatis.example"})
//@SpringBootApplication(scanBasePackages = {"com.loit"}, exclude = DataSourceAutoConfiguration.class)
//@SpringBootApplication
@SpringBootApplication(scanBasePackages = {"com.loit.mybatis.example"})
@Slf4j
public class LoitMybatisExampleApplication {

    public static void main(String[] args) {
        log.info("start execute LoitMybatisExampleApplication....\n");
        System.out.println("start execute LoitMybatisExampleApplication....\n");
        new SpringApplicationBuilder(LoitMybatisExampleApplication.class).bannerMode(Banner.Mode.OFF).run(args);
        System.out.println("end execute LoitMybatisExampleApplication....\n");
        log.info("end execute LoitMybatisExampleApplication....\n");
    }

}
