package com.loit.mybatis.example.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)

//默认映射表明t_storage 也可以指定 tablename
@TableName("t_storage")
public class TStorage extends Model<TStorage> {

    private static final long serialVersionUID = 1L;

    //默认 ID 雪花算法Long
    //如果 字段默认叫ID 且雪花算法 可不加注解
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    //默认数据库中字段是下划线commodity_code
    // condition 配合查询参数是实体类型
    @TableField(condition = SqlCondition.LIKE)
    private String commodityCode;

    //如果数据库字段和表字段不一致需要使用注解 @TableField
    @TableField("name")
    private String name;

    private Integer count;

    //
    //
    //
    //

    /**
     * 排除非表字段
     * private static String remark;
     * <p>
     * 加 transient 后不参与序列号
     * private transient String remark;
     */
    @TableField(exist = false)
    private String remark;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
