package com.loit.mybatis.example.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.loit.mybatis.example.dto.CommodityDTO;
import com.loit.mybatis.example.entity.TStorage;
import com.loit.mybatis.example.response.ObjectResponse;

import java.util.List;

/**
 * 仓库服务
 */
public interface ITStorageService extends IService<TStorage> {

    /**
     * 扣减库存
     */
    ObjectResponse decreaseStorage(CommodityDTO commodityDTO);

    /**
     * 查询全部库存
     */
    List<TStorage> findAll();

    /**
     * 分页查询库存信息
     *
     * @PageNum 当前页
     * @PageSize 每页显示数量
     */
    List<TStorage> findPage(Long pageNum, Long pageSize);

}
